#include "stdafx.h"
#include "Font.h"

CFont::CFont()
{
	m_hFont = NULL;
}

CFont::~CFont()
{
	if (m_hFont) DeleteObject(m_hFont);
}

// フォントを設定する関数
HFONT CFont::Create()
{
	if (m_hFont == NULL) {
		m_hFont = CreateFont(
			13, // フォントの高さ(論理単位)0ならデフォルト
			0, // 幅。0なら、高さにあった幅
			0, // スクリーンの表示画面とX軸の角度の10倍
			0, // 各文字の角度
			0, // 太さ
			0, // イタリック
			0, // 下線
			0, // 抹消線
			DEFAULT_CHARSET, // 書体設定
			0, // プリント文字と指定文字の近似精度
			0, // 文字がクリッピング領域をはずれたときの精度
			0, // 出力品質
			0, // 文字の間隔
			_T("MS UI Gothic") // 書体の名称
		);
	}
	return (m_hFont);
}